Subject: [Suit] Observation on Manifest discussions

From: Robert Moskowitz <[email-masked]>
Date: Sun, 12 Nov 2017 15:30:48 +0800

Fellow suits from one of the real IETF suits...  :)

I was pointed today to this work and the Manifest discussion.  I would 
like to share some work I am involved in along with Carsten Bormann and 
Henk Birkholz:

Building "CBOR Concise Identities", or said in another way, mapping 
X.509 content into CBOR.

Here is a paste of a slide I have been using:

Goal is to use CBOR to replace all encodings in constrained IoT

  * Where possible
  * e.g. COSE – RFC8152
      o CBOR Object Signing and Encryption
  * Next step is elimination of need of ASN.1
      o And thus replacement for X.509

So work on the basis that there will be IoT devices with NO ASN.1.

Bob